Summary: CUED Syslog Monitoring client scripts
Name: syslogmon-client
Version: 1.1
Release: 4
Copyright: CUED
Group: CUED
Buildroot: %{_tmppath}/%{name}-build.root
Source: syslogmon.tar.gz

Requires: util-linux

%description
Syslog monitoring system scripts

%prep
%setup -n syslogmon
%build
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/sbin
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
for i in hup-syslog ping-syslog
do
	install $i $RPM_BUILD_ROOT/usr/local/sbin
done
install syslogmon-cron $RPM_BUILD_ROOT/etc/cron.d
%files
/usr/local/sbin/hup-syslog
/usr/local/sbin/ping-syslog
/etc/cron.d/syslogmon-cron
%post
cat /etc/syslog.conf | grep -v 'local6.*						@log-serv.eng.cam.ac.uk' >> /etc/syslog.conf.new
cat >> /etc/syslog.conf.new <<EOF
local6.*						@log-serv.eng.cam.ac.uk
EOF
mv /etc/syslog.conf /etc/syslog.conf.orig
mv /etc/syslog.conf.new /etc/syslog.conf
chmod 600 /etc/syslog.conf
/etc/init.d/syslog restart
%postun
